# The Transaction object ## Attributes - `id` (string) Unique identifier for the object. - `object` (string) String representing the object’s type. Objects of the same type share the same value. - `amount` (integer) Amount (in cents) transferred. - `balance_impact` (object) The change made to each of the FinancialAccount’s sub-balances by the Transaction. - `balance_impact.cash` (integer) The change made to funds the user can spend right now. - `balance_impact.inbound_pending` (integer) The change made to funds that are not spendable yet, but will become available at a later time. - `balance_impact.outbound_pending` (integer) The change made to funds in the account, but not spendable because they are being held for pending outbound flows. - `created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `description` (string) An arbitrary string attached to the object. Often useful for displaying to users. - `entries` (object, nullable, expandable (can be expanded into an object with the `expand` request parameter)) A list of TransactionEntries that are part of this Transaction. This cannot be expanded in any list endpoints. - `entries.object` (string) String representing the object’s type. Objects of the same type share the same value. Always has the value `list`. - `entries.data` (array of objects) Details about each object. - `entries.data.id` (string) Unique identifier for the object. - `entries.data.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.balance_impact` (object) The current impact of the TransactionEntry on the FinancialAccount’s balance. - `entries.data.balance_impact.cash` (integer) The change made to funds the user can spend right now. - `entries.data.balance_impact.inbound_pending` (integer) The change made to funds that are not spendable yet, but will become available at a later time. - `entries.data.balance_impact.outbound_pending` (integer) The change made to funds in the account, but not spendable because they are being held for pending outbound flows. - `entries.data.created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `entries.data.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `entries.data.effective_at` (timestamp) When the TransactionEntry will impact the FinancialAccount’s balance. - `entries.data.financial_account` (string) The FinancialAccount associated with this object. - `entries.data.flow` (string, nullable) Token of the flow associated with the TransactionEntry. - `entries.data.flow_details` (object, nullable, expandable (can be expanded into an object with the `expand` request parameter)) Details of the flow associated with the TransactionEntry. - `entries.data.flow_details.credit_reversal` (object, nullable) The CreditReversal object associated with the Transaction. Set if `type=credit_reversal`. - `entries.data.flow_details.credit_reversal.id` (string) Unique identifier for the object. - `entries.data.flow_details.credit_reversal.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.flow_details.credit_reversal.amount` (integer) Amount (in cents) transferred. - `entries.data.flow_details.credit_reversal.created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `entries.data.flow_details.credit_reversal.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `entries.data.flow_details.credit_reversal.financial_account` (string) The FinancialAccount to reverse funds from. - `entries.data.flow_details.credit_reversal.hosted_regulatory_receipt_url` (string, nullable) A [hosted transaction receipt](https://docs.stripe.com/docs/treasury/moving-money/regulatory-receipts.md) URL that is provided when money movement is considered regulated under Stripe’s money transmission licenses. - `entries.data.flow_details.credit_reversal.livemode` (boolean) If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. - `entries.data.flow_details.credit_reversal.metadata` (object) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `entries.data.flow_details.credit_reversal.network` (enum) The rails used to reverse the funds. - `entries.data.flow_details.credit_reversal.received_credit` (string) The ReceivedCredit being reversed. - `entries.data.flow_details.credit_reversal.status` (enum) Status of the CreditReversal Possible enum values: - `canceled` The CreditReversal has been canceled before it has been sent to the network and no funds have left the account. (Currently not supported). - `posted` The CreditReversal has been sent to the network and funds have left the account (with the Transaction posting) - `processing` The CreditReversal starting state. Funds are “held” by a pending Transaction (but they are still part of the current balance). - `entries.data.flow_details.credit_reversal.status_transitions` (object) Hash containing timestamps of when the object transitioned to a particular `status`. - `entries.data.flow_details.credit_reversal.status_transitions.posted_at` (timestamp, nullable) Timestamp describing when the CreditReversal changed status to `posted` - `entries.data.flow_details.credit_reversal.transaction` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The Transaction associated with this object. - `entries.data.flow_details.debit_reversal` (object, nullable) The DebitReversal object associated with the Transaction. Set if `type=debit_reversal`. - `entries.data.flow_details.debit_reversal.id` (string) Unique identifier for the object. - `entries.data.flow_details.debit_reversal.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.flow_details.debit_reversal.amount` (integer) Amount (in cents) transferred. - `entries.data.flow_details.debit_reversal.created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `entries.data.flow_details.debit_reversal.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `entries.data.flow_details.debit_reversal.financial_account` (string, nullable) The FinancialAccount to reverse funds from. - `entries.data.flow_details.debit_reversal.hosted_regulatory_receipt_url` (string, nullable) A [hosted transaction receipt](https://docs.stripe.com/docs/treasury/moving-money/regulatory-receipts.md) URL that is provided when money movement is considered regulated under Stripe’s money transmission licenses. - `entries.data.flow_details.debit_reversal.linked_flows` (object, nullable) Other flows linked to a DebitReversal. - `entries.data.flow_details.debit_reversal.linked_flows.issuing_dispute` (string, nullable) Set if there is an Issuing dispute associated with the DebitReversal. - `entries.data.flow_details.debit_reversal.livemode` (boolean) If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. - `entries.data.flow_details.debit_reversal.metadata` (object) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `entries.data.flow_details.debit_reversal.network` (enum) The rails used to reverse the funds. - `entries.data.flow_details.debit_reversal.received_debit` (string) The ReceivedDebit being reversed. - `entries.data.flow_details.debit_reversal.status` (enum) Status of the DebitReversal Possible enum values: - `failed` The network has resolved the DebitReversal against the user. - `processing` The DebitReversal starting state. - `succeeded` The network has resolved the DebitReversal in the users favour. A crediting Transaction is created. - `entries.data.flow_details.debit_reversal.status_transitions` (object) Hash containing timestamps of when the object transitioned to a particular `status`. - `entries.data.flow_details.debit_reversal.status_transitions.completed_at` (timestamp, nullable) Timestamp describing when the DebitReversal changed status to `completed`. - `entries.data.flow_details.debit_reversal.transaction` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The Transaction associated with this object. - `entries.data.flow_details.inbound_transfer` (object, nullable) The InboundTransfer object associated with the Transaction. Set if `type=inbound_transfer`. - `entries.data.flow_details.inbound_transfer.id` (string) Unique identifier for the object. - `entries.data.flow_details.inbound_transfer.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.flow_details.inbound_transfer.amount` (integer) Amount (in cents) transferred. - `entries.data.flow_details.inbound_transfer.cancelable` (boolean) Returns `true` if the InboundTransfer is able to be canceled. - `entries.data.flow_details.inbound_transfer.created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `entries.data.flow_details.inbound_transfer.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `entries.data.flow_details.inbound_transfer.description` (string, nullable) An arbitrary string attached to the object. Often useful for displaying to users. - `entries.data.flow_details.inbound_transfer.failure_details` (object, nullable) Details about this InboundTransfer’s failure. Only set when status is `failed`. - `entries.data.flow_details.inbound_transfer.failure_details.code` (enum) Reason for the failure. Possible enum values: - `account_closed` The bank account has been closed. - `account_frozen` The bank account has been frozen. - `bank_account_restricted` The bank account has restrictions on either the type or number of transfers allowed. This normally indicates that the bank account is a savings or other non-checking account. - `bank_ownership_changed` The bank account is no longer valid because its branch has changed ownership. - `debit_not_authorized` Debit transactions are not approved on the bank account. - `incorrect_account_holder_address` The bank notified us that the bank account holder address on file is incorrect. - `incorrect_account_holder_name` The bank notified us that the bank account holder name on file is incorrect. - `incorrect_account_holder_tax_id` The bank notified us that the bank account holder tax ID on file is incorrect. - `insufficient_funds` The bank account has insufficient funds to cover the debit transaction. - `invalid_account_number` The bank account details on file are probably incorrect. The routing number seems correct, but the account number is invalid. - `invalid_currency` The bank was unable to process this transfer because of its currency. This is probably because the bank account can’t accept payments in that currency. - `no_account` The bank account details on file are probably incorrect. No bank account exists with these details. - `other` The bank could not process this transfer. - `entries.data.flow_details.inbound_transfer.financial_account` (string) The FinancialAccount that received the funds. - `entries.data.flow_details.inbound_transfer.hosted_regulatory_receipt_url` (string, nullable) A [hosted transaction receipt](https://docs.stripe.com/docs/treasury/moving-money/regulatory-receipts.md) URL that is provided when money movement is considered regulated under Stripe’s money transmission licenses. - `entries.data.flow_details.inbound_transfer.linked_flows` (object) Other flows linked to a InboundTransfer. - `entries.data.flow_details.inbound_transfer.linked_flows.received_debit` (string, nullable) If funds for this flow were returned after the flow went to the `succeeded` state, this field contains a reference to the ReceivedDebit return. - `entries.data.flow_details.inbound_transfer.livemode` (boolean) If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. - `entries.data.flow_details.inbound_transfer.metadata` (object) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `entries.data.flow_details.inbound_transfer.origin_payment_method` (string, nullable) The origin payment method to be debited for an InboundTransfer. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details` (object, nullable) Details about the PaymentMethod for an InboundTransfer. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details` (object) Contact details for the person or business referenced by the PaymentMethod. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.address` (object) Billing address. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.address.city` (string, nullable) City, district, suburb, town, or village. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.address.country` (string, nullable) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.address.line1` (string, nullable) Address line 1, such as the street, PO Box, or company name. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.address.line2` (string, nullable) Address line 2, such as the apartment, suite, unit, or building. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.address.postal_code` (string, nullable) ZIP or postal code. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.address.state` (string, nullable) State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)). - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.email` (string, nullable) Email address. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.billing_details.name` (string, nullable) Full name. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.type` (enum) The type of the payment method used in the InboundTransfer. Possible enum values: - `us_bank_account` US Bank Account - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account` (object, nullable) Optional fields for `us_bank_account`. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.account_holder_type` (enum, nullable) Account holder type: individual or company. Possible enum values: - `company` Account belongs to a company - `individual` Account belongs to an individual - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.account_type` (enum, nullable) Account type: checkings or savings. Defaults to checking if omitted. Possible enum values: - `checking` Bank account type is checking - `savings` Bank account type is savings - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.bank_name` (string, nullable) Name of the bank associated with the bank account. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.fingerprint` (string, nullable) Uniquely identifies this particular bank account. You can use this attribute to check whether two bank accounts are the same. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.last4` (string, nullable) Last four digits of the bank account number. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.mandate` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) ID of the mandate used to make this payment. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.network` (enum) The network rails used. See the [docs](https://docs.stripe.com/docs/treasury/money-movement/timelines.md) to learn more about money movement timelines for each network type. - `entries.data.flow_details.inbound_transfer.origin_payment_method_details.us_bank_account.routing_number` (string, nullable) Routing number of the bank account. - `entries.data.flow_details.inbound_transfer.returned` (boolean, nullable) Returns `true` if the funds for an InboundTransfer were returned after the InboundTransfer went to the `succeeded` state. - `entries.data.flow_details.inbound_transfer.statement_descriptor` (string) Statement descriptor shown when funds are debited from the source. Not all payment networks support `statement_descriptor`. - `entries.data.flow_details.inbound_transfer.status` (enum) Status of the InboundTransfer: `processing`, `succeeded`, `failed`, and `canceled`. An InboundTransfer is `processing` if it is created and pending. The status changes to `succeeded` once the funds have been “confirmed” and a `transaction` is created and posted. The status changes to `failed` if the transfer fails. - `entries.data.flow_details.inbound_transfer.status_transitions` (object) Hash containing timestamps of when the object transitioned to a particular `status`. - `entries.data.flow_details.inbound_transfer.status_transitions.failed_at` (timestamp, nullable) Timestamp describing when an InboundTransfer changed status to `failed`. - `entries.data.flow_details.inbound_transfer.status_transitions.succeeded_at` (timestamp, nullable) Timestamp describing when an InboundTransfer changed status to `succeeded`. - `entries.data.flow_details.inbound_transfer.transaction` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The Transaction associated with this object. - `entries.data.flow_details.issuing_authorization` (object, nullable) The Issuing authorization object associated with the Transaction. Set if `type=issuing_authorization`. - `entries.data.flow_details.issuing_authorization.id` (string) Unique identifier for the object. - `entries.data.flow_details.issuing_authorization.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.flow_details.issuing_authorization.amount` (integer) The total amount that was authorized or rejected. This amount is in `currency` and in the [smallest currency unit](https://stripe.com/docs/currencies#zero-decimal). `amount` should be the same as `merchant_amount`, unless `currency` and `merchant_currency` are different. - `entries.data.flow_details.issuing_authorization.amount_details` (object, nullable) Detailed breakdown of amount components. These amounts are denominated in `currency` and in the [smallest currency unit](https://docs.stripe.com/docs/currencies.md#zero-decimal). - `entries.data.flow_details.issuing_authorization.amount_details.atm_fee` (integer, nullable) The fee charged by the ATM for the cash withdrawal. - `entries.data.flow_details.issuing_authorization.amount_details.cashback_amount` (integer, nullable) The amount of cash requested by the cardholder. - `entries.data.flow_details.issuing_authorization.approved` (boolean) Whether the authorization has been approved. - `entries.data.flow_details.issuing_authorization.authorization_method` (enum) How the card details were provided. Possible enum values: - `chip` The card was physically present and inserted into a chip-enabled terminal. The transaction is cryptographically secured. - `contactless` The card was tapped on a contactless-enabled terminal. If a digital wallet copy of the card was used, the `wallet` field will be present. - `keyed_in` The card number was manually entered into a terminal. - `online` The card was used in a card-not-present scenario, such as a transaction initiated at an online e-commerce checkout. - `swipe` The card was physically swiped in a terminal. - `entries.data.flow_details.issuing_authorization.balance_transactions` (array of objects) List of balance transactions associated with this authorization. - `entries.data.flow_details.issuing_authorization.balance_transactions.id` (string) Unique identifier for the object. - `entries.data.flow_details.issuing_authorization.balance_transactions.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.flow_details.issuing_authorization.balance_transactions.amount` (integer) Gross amount of this transaction (in cents). A positive value represents funds charged to another party, and a negative value represents funds sent to another party. - `entries.data.flow_details.issuing_authorization.balance_transactions.available_on` (timestamp) The date that the transaction’s net funds become available in the Stripe balance. - `entries.data.flow_details.issuing_authorization.balance_transactions.balance_type` (enum) The balance that this transaction impacts. Possible enum values: - `issuing` Balance Transactions that affect your Issuing balance - `payments` Balance Transactions that affect your Payments balance - `refund_and_dispute_prefunding` Balance Transactions that affect your Refund and Dispute Prefunding balance - `risk_reserved` Balance Transactions that affect your Risk Reserved balance - `entries.data.flow_details.issuing_authorization.balance_transactions.created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `entries.data.flow_details.issuing_authorization.balance_transactions.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `entries.data.flow_details.issuing_authorization.balance_transactions.description` (string, nullable) An arbitrary string attached to the object. Often useful for displaying to users. - `entries.data.flow_details.issuing_authorization.balance_transactions.exchange_rate` (float, nullable) If applicable, this transaction uses an exchange rate. If money converts from currency A to currency B, then the `amount` in currency A, multipled by the `exchange_rate`, equals the `amount` in currency B. For example, if you charge a customer 10.00 EUR, the PaymentIntent’s `amount` is `1000` and `currency` is `eur`. If this converts to 12.34 USD in your Stripe account, the BalanceTransaction’s `amount` is `1234`, its `currency` is `usd`, and the `exchange_rate` is `1.234`. - `entries.data.flow_details.issuing_authorization.balance_transactions.fee` (integer) Fees (in cents) paid for this transaction. Represented as a positive integer when assessed. - `entries.data.flow_details.issuing_authorization.balance_transactions.fee_details` (array of objects) Detailed breakdown of fees (in cents) paid for this transaction. - `entries.data.flow_details.issuing_authorization.balance_transactions.fee_details.amount` (integer) Amount of the fee, in cents. - `entries.data.flow_details.issuing_authorization.balance_transactions.fee_details.application` (string, nullable) ID of the Connect application that earned the fee. - `entries.data.flow_details.issuing_authorization.balance_transactions.fee_details.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://stripe.com/docs/currencies). - `entries.data.flow_details.issuing_authorization.balance_transactions.fee_details.description` (string, nullable) An arbitrary string attached to the object. Often useful for displaying to users. - `entries.data.flow_details.issuing_authorization.balance_transactions.fee_details.type` (string) Type of the fee, one of: `application_fee`, `payment_method_passthrough_fee`, `stripe_fee` or `tax`. - `entries.data.flow_details.issuing_authorization.balance_transactions.net` (integer) Net impact to a Stripe balance (in cents). A positive value represents incrementing a Stripe balance, and a negative value decrementing a Stripe balance. You can calculate the net impact of a transaction on a balance by `amount` - `fee` - `entries.data.flow_details.issuing_authorization.balance_transactions.reporting_category` (string) Learn more about how [reporting categories](https://stripe.com/docs/reports/reporting-categories) can help you understand balance transactions from an accounting perspective. - `entries.data.flow_details.issuing_authorization.balance_transactions.source` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) This transaction relates to the Stripe object. - `entries.data.flow_details.issuing_authorization.balance_transactions.status` (string) The transaction’s net funds status in the Stripe balance, which are either `available` or `pending`. - `entries.data.flow_details.issuing_authorization.balance_transactions.type` (enum) Transaction type: `adjustment`, `advance`, `advance_funding`, `anticipation_repayment`, `application_fee`, `application_fee_refund`, `charge`, `climate_order_purchase`, `climate_order_refund`, `connect_collection_transfer`, `contribution`, `issuing_authorization_hold`, `issuing_authorization_release`, `issuing_dispute`, `issuing_transaction`, `obligation_outbound`, `obligation_reversal_inbound`, `payment`, `payment_failure_refund`, `payment_network_reserve_hold`, `payment_network_reserve_release`, `payment_refund`, `payment_reversal`, `payment_unreconciled`, `payout`, `payout_cancel`, `payout_failure`, `payout_minimum_balance_hold`, `payout_minimum_balance_release`, `refund`, `refund_failure`, `reserve_transaction`, `reserved_funds`, `reserve_hold`, `reserve_release`, `stripe_fee`, `stripe_fx_fee`, `stripe_balance_payment_debit`, `stripe_balance_payment_debit_reversal`, `tax_fee`, `topup`, `topup_reversal`, `transfer`, `transfer_cancel`, `transfer_failure`, or `transfer_refund`. Learn more about [balance transaction types and what they represent](https://stripe.com/docs/reports/balance-transaction-types). To classify transactions for accounting purposes, consider `reporting_category` instead. Possible enum values: - `adjustment` - `advance` - `advance_funding` - `anticipation_repayment` - `application_fee` - `application_fee_refund` - `charge` - `climate_order_purchase` - `climate_order_refund` - `connect_collection_transfer` - `contribution` - `issuing_authorization_hold` - `issuing_authorization_release` - `issuing_dispute` - `issuing_transaction` - `obligation_outbound` - `obligation_reversal_inbound` - `payment` - `payment_failure_refund` - `payment_network_reserve_hold` - `payment_network_reserve_release` - `payment_refund` - `payment_reversal` - `payment_unreconciled` - `payout` - `payout_cancel` - `payout_failure` - `payout_minimum_balance_hold` - `payout_minimum_balance_release` - `refund` - `refund_failure` - `reserve_hold` - `reserve_release` - `reserve_transaction` - `reserved_funds` - `stripe_balance_payment_debit` - `stripe_balance_payment_debit_reversal` - `stripe_fee` - `stripe_fx_fee` - `tax_fee` - `topup` - `topup_reversal` - `transfer` - `transfer_cancel` - `transfer_failure` - `transfer_refund` - `entries.data.flow_details.issuing_authorization.card` (object) Card associated with this authorization. - `entries.data.flow_details.issuing_authorization.card.id` (string) Unique identifier for the object. - `entries.data.flow_details.issuing_authorization.card.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.flow_details.issuing_authorization.card.brand` (string) The brand of the card. - `entries.data.flow_details.issuing_authorization.card.cancellation_reason` (enum, nullable) The reason why the card was canceled. Possible enum values: - `design_rejected` The design of this card was rejected by Stripe for violating our [partner guidelines](https://docs.stripe.com/docs/issuing/cards/physical.md#design-review). - `lost` The card was lost. - `stolen` The card was stolen. - `entries.data.flow_details.issuing_authorization.card.cardholder` (object) The [Cardholder](https://docs.stripe.com/docs/api.md#issuing_cardholder_object) object to which the card belongs. - `entries.data.flow_details.issuing_authorization.card.cardholder.id` (string) Unique identifier for the object. - `entries.data.flow_details.issuing_authorization.card.cardholder.object` (string) String representing the object’s type. Objects of the same type share the same value. - `entries.data.flow_details.issuing_authorization.card.cardholder.billing` (object) The cardholder’s billing information. - `entries.data.flow_details.issuing_authorization.card.cardholder.billing.address` (object) The cardholder’s billing address. - `entries.data.flow_details.issuing_authorization.card.cardholder.billing.address.city` (string, nullable) City, district, suburb, town, or village. - `entries.data.flow_details.issuing_authorization.card.cardholder.billing.address.country` (string, nullable) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `entries.data.flow_details.issuing_authorization.card.cardholder.billing.address.line1` (string, nullable) Address line 1, such as the street, PO Box, or company name. - `entries.data.flow_details.issuing_authorization.card.cardholder.billing.address.line2` (string, nullable) Address line 2, such as the apartment, suite, unit, or building. - `entries.data.flow_details.issuing_authorization.card.cardholder.billing.address.postal_code` (string, nullable) ZIP or postal code. - `entries.data.flow_details.issuing_authorization.card.cardholder.billing.address.state` (string, nullable) State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)). - `entries.data.flow_details.issuing_authorization.card.cardholder.company` (object, nullable) Additional information about a `company` cardholder. - `entries.data.flow_details.issuing_authorization.card.cardholder.company.tax_id_provided` (boolean) Whether the company’s business ID number was provided. - `entries.data.flow_details.issuing_authorization.card.cardholder.created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `entries.data.flow_details.issuing_authorization.card.cardholder.email` (string, nullable) The cardholder’s email address. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual` (object, nullable) Additional information about an `individual` cardholder. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.card_issuing` (object, nullable) Information related to the card_issuing program for this cardholder. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.card_issuing.user_terms_acceptance` (object, nullable) Information about cardholder acceptance of Celtic [Authorized User Terms](https://stripe.com/docs/issuing/cards#accept-authorized-user-terms). Required for cards backed by a Celtic program. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.card_issuing.user_terms_acceptance.date` (timestamp, nullable) The Unix timestamp marking when the cardholder accepted the Authorized User Terms. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.card_issuing.user_terms_acceptance.ip` (string, nullable) The IP address from which the cardholder accepted the Authorized User Terms. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.card_issuing.user_terms_acceptance.user_agent` (string, nullable) The user agent of the browser from which the cardholder accepted the Authorized User Terms. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.dob` (object, nullable) The date of birth of this cardholder. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.dob.day` (integer, nullable) The day of birth, between 1 and 31. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.dob.month` (integer, nullable) The month of birth, between 1 and 12. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.dob.year` (integer, nullable) The four-digit year of birth. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.first_name` (string, nullable) The first name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.last_name` (string, nullable) The last name of this cardholder. Required before activating Cards. This field cannot contain any numbers, special characters (except periods, commas, hyphens, spaces and apostrophes) or non-latin letters. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.verification` (object, nullable) Government-issued ID document for this cardholder. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.verification.document` (object, nullable) An identifying document, either a passport or local ID card. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.verification.document.back` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The back of a document returned by a [file upload](https://docs.stripe.com/api/treasury/transactions/object.md#create_file) with a `purpose` value of `identity_document`. - `entries.data.flow_details.issuing_authorization.card.cardholder.individual.verification.document.front` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The front of a document returned by a [file upload](https://docs.stripe.com/api/treasury/transactions/object.md#create_file) with a `purpose` value of `identity_document`. - `entries.data.flow_details.issuing_authorization.card.cardholder.livemode` (boolean) If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. - `entries.data.flow_details.issuing_authorization.card.cardholder.metadata` (object) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `entries.data.flow_details.issuing_authorization.card.cardholder.name` (string) The cardholder’s name. This will be printed on cards issued to them. - `entries.data.flow_details.issuing_authorization.card.cardholder.phone_number` (string, nullable) The cardholder’s phone number. This is required for all cardholders who will be creating EU cards. See the [3D Secure documentation](https://docs.stripe.com/docs/issuing/3d-secure.md#when-is-3d-secure-applied) for more details. - `entries.data.flow_details.issuing_authorization.card.cardholder.preferred_locales` (array of enums, nullable) The cardholder’s preferred locales (languages), ordered by preference. Locales can be `de`, `en`, `es`, `fr`, or `it`. This changes the language of the [3D Secure flow](https://docs.stripe.com/docs/issuing/3d-secure.md) and one-time password messages sent to the cardholder. - `entries.data.flow_details.issuing_authorization.card.cardholder.requirements` (object) Information about verification requirements for the cardholder. - `entries.data.flow_details.issuing_authorization.card.cardholder.requirements.disabled_reason` (enum, nullable) If `disabled_reason` is present, all cards will decline authorizations with `cardholder_verification_required` reason. Possible enum values: - `listed` Account might be on a prohibited persons or companies list. The `past_due` field contains information that you need to provide before the cardholder can approve authorizations. - `rejected.listed` Cardholder is rejected because they are on a third-party prohibited persons or companies list (such as financial services provider or government). Their status will be `blocked`. - `requirements.past_due` Cardholder has outstanding requirements. The `past_due` field contains information that you need to provide before the cardholder can activate cards. - `under_review` This cardholder has raised additional review. Stripe will make a decision and update the `disabled_reason` field. - `entries.data.flow_details.issuing_authorization.card.cardholder.requirements.past_due` (array of enums, nullable) Array of fields that need to be collected in order to verify and re-enable the cardholder. Possible enum values: - `company.tax_id` The cardholder’s business number (Tax ID). - `individual.card_issuing.user_terms_acceptance.date` The Unix timestamp marking when the Cardholder accepted their Authorized User Terms. Required for Celtic Spend Card users. - `individual.card_issuing.user_terms_acceptance.ip` The IP address from which the Cardholder accepted their Authorized User Terms. Required for Celtic Spend Card users. - `individual.dob.day` The cardholder’s date of birth’s day. - `individual.dob.month` The cardholder’s date of birth’s month. - `individual.dob.year` The cardholder’s date of birth’s year. - `individual.first_name` The cardholder’s legal first name. - `individual.last_name` The cardholder’s legal last name. - `individual.verification.document` The front and back of a government-issued form of identification. - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls` (object, nullable) Rules that control spending across this cardholder’s cards. Refer to our [documentation](https://docs.stripe.com/docs/issuing/controls/spending-controls.md) for more details. - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.allowed_categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) of authorizations to allow. All other categories will be blocked. Cannot be set with `blocked_categories`. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_organizations` - `postal_services_government_only` - `precious_stones_and_metals_watches_and_jewelry` - `professional_services` - `public_warehousing_and_storage` - `quick_copy_repro_and_blueprint` - `railroads` - `real_estate_agents_and_managers_rentals` - `record_stores` - `recreational_vehicle_rentals` - `religious_goods_stores` - `religious_organizations` - `roofing_siding_sheet_metal` - `secretarial_support_services` - `security_brokers_dealers` - `service_stations` - `sewing_needlework_fabric_and_piece_goods_stores` - `shoe_repair_hat_cleaning` - `shoe_stores` - `small_appliance_repair` - `snowmobile_dealers` - `special_trade_services` - `specialty_cleaning` - `sporting_goods_stores` - `sporting_recreation_camps` - `sports_and_riding_apparel_stores` - `sports_clubs_fields` - `stamp_and_coin_stores` - `stationary_office_supplies_printing_and_writing_paper` - `stationery_stores_office_and_school_supply_stores` - `swimming_pools_sales` - `t_ui_travel_germany` - `tailors_alterations` - `tax_payments_government_agencies` - `tax_preparation_services` - `taxicabs_limousines` - `telecommunication_equipment_and_telephone_sales` - `telecommunication_services` - `telegraph_services` - `tent_and_awning_shops` - `testing_laboratories` - `theatrical_ticket_agencies` - `timeshares` - `tire_retreading_and_repair` - `tolls_bridge_fees` - `tourist_attractions_and_exhibits` - `towing_services` - `trailer_parks_campgrounds` - `transportation_services` - `travel_agencies_tour_operators` - `truck_stop_iteration` - `truck_utility_trailer_rentals` - `typesetting_plate_making_and_related_services` - `typewriter_stores` - `u_s_federal_government_agencies_or_departments` - `uniforms_commercial_clothing` - `used_merchandise_and_secondhand_stores` - `utilities` - `variety_stores` - `veterinary_services` - `video_amusement_game_supplies` - `video_game_arcades` - `video_tape_rental_stores` - `vocational_trade_schools` - `watch_jewelry_repair` - `welding_repair` - `wholesale_clubs` - `wig_and_toupee_stores` - `wires_money_orders` - `womens_accessory_and_specialty_shops` - `womens_ready_to_wear_stores` - `wrecking_and_salvage_yards` - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.allowed_merchant_countries` (array of strings, nullable) Array of strings containing representing countries from which authorizations will be allowed. Authorizations from merchants in all other countries will be declined. Country codes should be ISO 3166 alpha-2 country codes (e.g. `US`). Cannot be set with `blocked_merchant_countries`. Provide an empty value to unset this control. - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.blocked_categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) of authorizations to decline. All other categories will be allowed. Cannot be set with `allowed_categories`. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_organizations` - `postal_services_government_only` - `precious_stones_and_metals_watches_and_jewelry` - `professional_services` - `public_warehousing_and_storage` - `quick_copy_repro_and_blueprint` - `railroads` - `real_estate_agents_and_managers_rentals` - `record_stores` - `recreational_vehicle_rentals` - `religious_goods_stores` - `religious_organizations` - `roofing_siding_sheet_metal` - `secretarial_support_services` - `security_brokers_dealers` - `service_stations` - `sewing_needlework_fabric_and_piece_goods_stores` - `shoe_repair_hat_cleaning` - `shoe_stores` - `small_appliance_repair` - `snowmobile_dealers` - `special_trade_services` - `specialty_cleaning` - `sporting_goods_stores` - `sporting_recreation_camps` - `sports_and_riding_apparel_stores` - `sports_clubs_fields` - `stamp_and_coin_stores` - `stationary_office_supplies_printing_and_writing_paper` - `stationery_stores_office_and_school_supply_stores` - `swimming_pools_sales` - `t_ui_travel_germany` - `tailors_alterations` - `tax_payments_government_agencies` - `tax_preparation_services` - `taxicabs_limousines` - `telecommunication_equipment_and_telephone_sales` - `telecommunication_services` - `telegraph_services` - `tent_and_awning_shops` - `testing_laboratories` - `theatrical_ticket_agencies` - `timeshares` - `tire_retreading_and_repair` - `tolls_bridge_fees` - `tourist_attractions_and_exhibits` - `towing_services` - `trailer_parks_campgrounds` - `transportation_services` - `travel_agencies_tour_operators` - `truck_stop_iteration` - `truck_utility_trailer_rentals` - `typesetting_plate_making_and_related_services` - `typewriter_stores` - `u_s_federal_government_agencies_or_departments` - `uniforms_commercial_clothing` - `used_merchandise_and_secondhand_stores` - `utilities` - `variety_stores` - `veterinary_services` - `video_amusement_game_supplies` - `video_game_arcades` - `video_tape_rental_stores` - `vocational_trade_schools` - `watch_jewelry_repair` - `welding_repair` - `wholesale_clubs` - `wig_and_toupee_stores` - `wires_money_orders` - `womens_accessory_and_specialty_shops` - `womens_ready_to_wear_stores` - `wrecking_and_salvage_yards` - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.blocked_merchant_countries` (array of strings, nullable) Array of strings containing representing countries from which authorizations will be declined. Country codes should be ISO 3166 alpha-2 country codes (e.g. `US`). Cannot be set with `allowed_merchant_countries`. Provide an empty value to unset this control. - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.spending_limits` (array of objects, nullable) Limit spending with amount-based rules that apply across this cardholder’s cards. - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.spending_limits.amount` (integer) Maximum amount allowed to spend per interval. This amount is in the card’s currency and in the [smallest currency unit](https://docs.stripe.com/docs/currencies.md#zero-decimal). - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.spending_limits.categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) this limit applies to. Omitting this field will apply the limit to all categories. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_organizations` - `postal_services_government_only` - `precious_stones_and_metals_watches_and_jewelry` - `professional_services` - `public_warehousing_and_storage` - `quick_copy_repro_and_blueprint` - `railroads` - `real_estate_agents_and_managers_rentals` - `record_stores` - `recreational_vehicle_rentals` - `religious_goods_stores` - `religious_organizations` - `roofing_siding_sheet_metal` - `secretarial_support_services` - `security_brokers_dealers` - `service_stations` - `sewing_needlework_fabric_and_piece_goods_stores` - `shoe_repair_hat_cleaning` - `shoe_stores` - `small_appliance_repair` - `snowmobile_dealers` - `special_trade_services` - `specialty_cleaning` - `sporting_goods_stores` - `sporting_recreation_camps` - `sports_and_riding_apparel_stores` - `sports_clubs_fields` - `stamp_and_coin_stores` - `stationary_office_supplies_printing_and_writing_paper` - `stationery_stores_office_and_school_supply_stores` - `swimming_pools_sales` - `t_ui_travel_germany` - `tailors_alterations` - `tax_payments_government_agencies` - `tax_preparation_services` - `taxicabs_limousines` - `telecommunication_equipment_and_telephone_sales` - `telecommunication_services` - `telegraph_services` - `tent_and_awning_shops` - `testing_laboratories` - `theatrical_ticket_agencies` - `timeshares` - `tire_retreading_and_repair` - `tolls_bridge_fees` - `tourist_attractions_and_exhibits` - `towing_services` - `trailer_parks_campgrounds` - `transportation_services` - `travel_agencies_tour_operators` - `truck_stop_iteration` - `truck_utility_trailer_rentals` - `typesetting_plate_making_and_related_services` - `typewriter_stores` - `u_s_federal_government_agencies_or_departments` - `uniforms_commercial_clothing` - `used_merchandise_and_secondhand_stores` - `utilities` - `variety_stores` - `veterinary_services` - `video_amusement_game_supplies` - `video_game_arcades` - `video_tape_rental_stores` - `vocational_trade_schools` - `watch_jewelry_repair` - `welding_repair` - `wholesale_clubs` - `wig_and_toupee_stores` - `wires_money_orders` - `womens_accessory_and_specialty_shops` - `womens_ready_to_wear_stores` - `wrecking_and_salvage_yards` - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.spending_limits.interval` (enum) Interval (or event) to which the amount applies. Possible enum values: - `all_time` Limit applies to all transactions. - `daily` Limit applies to a day, starting at midnight UTC. - `monthly` Limit applies to a month, starting on the 1st at midnight UTC. - `per_authorization` Limit applies to each authorization. - `weekly` Limit applies to a week, starting on Sunday at midnight UTC. - `yearly` Limit applies to a year, starting on January 1st at midnight UTC. - `entries.data.flow_details.issuing_authorization.card.cardholder.spending_controls.spending_limits_currency` (enum, nullable) Currency of the amounts within `spending_limits`. - `entries.data.flow_details.issuing_authorization.card.cardholder.status` (enum) Specifies whether to permit authorizations on this cardholder’s cards. Possible enum values: - `active` A platform has enabled the cardholder to approve authorizations made with their attached cards. However, if Stripe hasn’t yet verified the cardholder’s identity information, authorizations might still be blocked. - `blocked` Cards attached to this cardholder will decline all authorizations with the `cardholder_blocked` reason. This status is non-reversible. - `inactive` Cards attached to this cardholder will decline all authorizations with the `cardholder_inactive` reason. - `entries.data.flow_details.issuing_authorization.card.cardholder.type` (enum) One of `individual` or `company`. See [Choose a cardholder type](https://docs.stripe.com/docs/issuing/other/choose-cardholder.md) for more details. Possible enum values: - `company` The cardholder is a company or business entity, and additional information includes their tax ID. This option may not be available if your [use case](https://docs.stripe.com/docs/issuing/other/choose-cardholder.md#find-your-use-case) only supports individual cardholders. - `individual` The cardholder is a person, and additional information includes first and last name, date of birth, etc. If you’re issuing Celtic Spend Cards, then Individual cardholders must accept Authorized User Terms prior to activating their card. - `entries.data.flow_details.issuing_authorization.card.created` (timestamp) Time at which the object was created. Measured in seconds since the Unix epoch. - `entries.data.flow_details.issuing_authorization.card.currency` (enum) Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Supported currencies are `usd` in the US, `eur` in the EU, and `gbp` in the UK. - `entries.data.flow_details.issuing_authorization.card.cvc` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The card’s CVC. For security reasons, this is only available for virtual cards, and will be omitted unless you explicitly request it with [the `expand` parameter](https://docs.stripe.com/docs/api/expanding_objects.md). Additionally, it’s only available via the [“Retrieve a card” endpoint](https://docs.stripe.com/docs/api/issuing/cards/retrieve.md), not via “List all cards” or any other endpoint. - `entries.data.flow_details.issuing_authorization.card.exp_month` (integer) The expiration month of the card. - `entries.data.flow_details.issuing_authorization.card.exp_year` (integer) The expiration year of the card. - `entries.data.flow_details.issuing_authorization.card.last4` (string) The last 4 digits of the card number. - `entries.data.flow_details.issuing_authorization.card.latest_fraud_warning` (object, nullable) Stripe’s assessment of whether this card’s details have been compromised. If this property isn’t null, cancel and reissue the card to prevent fraudulent activity risk. - `entries.data.flow_details.issuing_authorization.card.latest_fraud_warning.started_at` (timestamp, nullable) Timestamp of the most recent fraud warning. - `entries.data.flow_details.issuing_authorization.card.latest_fraud_warning.type` (enum, nullable) The type of fraud warning that most recently took place on this card. This field updates with every new fraud warning, so the value changes over time. If populated, cancel and reissue the card. Possible enum values: - `card_testing_exposure` The card’s credentials were used successfully in a card testing attempt. Requires [Advanced Fraud Tools](https://docs.stripe.com/docs/issuing/controls/advanced-fraud-tools.md). - `fraud_dispute_filed` The cardholder filed a fraud dispute for a transaction - `third_party_reported` The card was reported compromised by a third party - `user_indicated_fraud` The cardholder indicated that a fraudulent transaction occurred. Requires [Advanced Fraud Tools](https://docs.stripe.com/docs/issuing/controls/advanced-fraud-tools.md). - `entries.data.flow_details.issuing_authorization.card.livemode` (boolean) If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`. - `entries.data.flow_details.issuing_authorization.card.metadata` (object) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. - `entries.data.flow_details.issuing_authorization.card.number` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The full unredacted card number. For security reasons, this is only available for virtual cards, and will be omitted unless you explicitly request it with [the `expand` parameter](https://docs.stripe.com/docs/api/expanding_objects.md). Additionally, it’s only available via the [“Retrieve a card” endpoint](https://docs.stripe.com/docs/api/issuing/cards/retrieve.md), not via “List all cards” or any other endpoint. - `entries.data.flow_details.issuing_authorization.card.personalization_design` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The personalization design object belonging to this card. - `entries.data.flow_details.issuing_authorization.card.replaced_by` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The latest card that replaces this card, if any. - `entries.data.flow_details.issuing_authorization.card.replacement_for` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter)) The card this card replaces, if any. - `entries.data.flow_details.issuing_authorization.card.replacement_reason` (enum, nullable) The reason why the previous card needed to be replaced. Possible enum values: - `damaged` The physical card has been damaged and cannot be used at terminals. This reason is only valid for cards of type `physical`. - `expired` The expiration date has passed or is imminent. - `lost` The card was lost. This status is only valid if the card it replaces is marked as lost. - `stolen` The card was stolen. This status is only valid if the card it replaces is marked as stolen. - `entries.data.flow_details.issuing_authorization.card.second_line` (string, nullable) Text separate from cardholder name, printed on the card. - `entries.data.flow_details.issuing_authorization.card.shipping` (object, nullable) Where and how the card will be shipped. - `entries.data.flow_details.issuing_authorization.card.shipping.address` (object) Shipping address. - `entries.data.flow_details.issuing_authorization.card.shipping.address.city` (string, nullable) City, district, suburb, town, or village. - `entries.data.flow_details.issuing_authorization.card.shipping.address.country` (string, nullable) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `entries.data.flow_details.issuing_authorization.card.shipping.address.line1` (string, nullable) Address line 1, such as the street, PO Box, or company name. - `entries.data.flow_details.issuing_authorization.card.shipping.address.line2` (string, nullable) Address line 2, such as the apartment, suite, unit, or building. - `entries.data.flow_details.issuing_authorization.card.shipping.address.postal_code` (string, nullable) ZIP or postal code. - `entries.data.flow_details.issuing_authorization.card.shipping.address.state` (string, nullable) State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)). - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation` (object, nullable) Address validation details for the shipment. - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.mode` (enum) The address validation capabilities to use. Possible enum values: - `disabled` The card will be shipped without validating or normalizing the shipping address. - `normalization_only` The card will be shipped with the normalized address without validation. Undeliverable addresses won’t be blocked. - `validation_and_normalization` The card will be shipped with the normalized, validated address. Undeliverable addresses will be blocked. - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.normalized_address` (object, nullable) The normalized shipping address. - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.normalized_address.city` (string, nullable) City, district, suburb, town, or village. - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.normalized_address.country` (string, nullable) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.normalized_address.line1` (string, nullable) Address line 1, such as the street, PO Box, or company name. - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.normalized_address.line2` (string, nullable) Address line 2, such as the apartment, suite, unit, or building. - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.normalized_address.postal_code` (string, nullable) ZIP or postal code. - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.normalized_address.state` (string, nullable) State, county, province, or region ([ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2)). - `entries.data.flow_details.issuing_authorization.card.shipping.address_validation.result` (enum, nullable) The validation result for the shipping address. Possible enum values: - `indeterminate` The deliverability of the card’s shipping address could not be determined. - `likely_deliverable` The card’s shipping address is likely deliverable. - `likely_undeliverable` The card’s shipping address is likely undeliverable as submitted. - `entries.data.flow_details.issuing_authorization.card.shipping.carrier` (enum, nullable) The delivery company that shipped a card. Possible enum values: - `dhl` DHL - `fedex` FedEx - `royal_mail` Royal Mail - `usps` USPS - `entries.data.flow_details.issuing_authorization.card.shipping.customs` (object, nullable) Additional information that may be required for clearing customs. - `entries.data.flow_details.issuing_authorization.card.shipping.customs.eori_number` (string, nullable) A registration number used for customs in Europe. See for the UK and for the EU. - `entries.data.flow_details.issuing_authorization.card.shipping.eta` (timestamp, nullable) A unix timestamp representing a best estimate of when the card will be delivered. - `entries.data.flow_details.issuing_authorization.card.shipping.name` (string) Recipient name. - `entries.data.flow_details.issuing_authorization.card.shipping.phone_number` (string, nullable) The phone number of the receiver of the shipment. Our courier partners will use this number to contact you in the event of card delivery issues. For individual shipments to the EU/UK, if this field is empty, we will provide them with the phone number provided when the cardholder was initially created. - `entries.data.flow_details.issuing_authorization.card.shipping.require_signature` (boolean, nullable) Whether a signature is required for card delivery. This feature is only supported for US users. Standard shipping service does not support signature on delivery. The default value for standard shipping service is false and for express and priority services is true. - `entries.data.flow_details.issuing_authorization.card.shipping.service` (enum) Shipment service, such as `standard` or `express`. Possible enum values: - `express` Cards arrive in 4 business days. - `priority` Cards arrive in 2-3 business days. - `standard` Cards arrive in 5-8 business days. - `entries.data.flow_details.issuing_authorization.card.shipping.status` (enum, nullable) The delivery status of the card. Possible enum values: - `canceled` The card was canceled before being shipped. - `delivered` The card has been delivered to its destination. - `failure` The card failed to be delivered but was not returned. - `pending` The card is being prepared and has not yet shipped. - `returned` The card failed to be delivered and was returned to the sender. - `shipped` The card has been shipped. If the card’s [shipping carrier](https://docs.stripe.com/docs/issuing/cards/physical.md#shipping-your-cards) does not support tracking, this will be the card’s final status. - `submitted` The card has been submitted to the printer for shipment. - `entries.data.flow_details.issuing_authorization.card.shipping.tracking_number` (string, nullable) A tracking number for a card shipment. - `entries.data.flow_details.issuing_authorization.card.shipping.tracking_url` (string, nullable) A link to the shipping carrier’s site where you can view detailed information about a card shipment. - `entries.data.flow_details.issuing_authorization.card.shipping.type` (enum) Packaging options. Possible enum values: - `bulk` Cards are grouped and mailed together. - `individual` Cards are sent individually in an envelope. - `entries.data.flow_details.issuing_authorization.card.spending_controls` (object) Rules that control spending for this card. Refer to our [documentation](https://docs.stripe.com/docs/issuing/controls/spending-controls.md) for more details. - `entries.data.flow_details.issuing_authorization.card.spending_controls.allowed_categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) of authorizations to allow. All other categories will be blocked. Cannot be set with `blocked_categories`. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_organizations` - `postal_services_government_only` - `precious_stones_and_metals_watches_and_jewelry` - `professional_services` - `public_warehousing_and_storage` - `quick_copy_repro_and_blueprint` - `railroads` - `real_estate_agents_and_managers_rentals` - `record_stores` - `recreational_vehicle_rentals` - `religious_goods_stores` - `religious_organizations` - `roofing_siding_sheet_metal` - `secretarial_support_services` - `security_brokers_dealers` - `service_stations` - `sewing_needlework_fabric_and_piece_goods_stores` - `shoe_repair_hat_cleaning` - `shoe_stores` - `small_appliance_repair` - `snowmobile_dealers` - `special_trade_services` - `specialty_cleaning` - `sporting_goods_stores` - `sporting_recreation_camps` - `sports_and_riding_apparel_stores` - `sports_clubs_fields` - `stamp_and_coin_stores` - `stationary_office_supplies_printing_and_writing_paper` - `stationery_stores_office_and_school_supply_stores` - `swimming_pools_sales` - `t_ui_travel_germany` - `tailors_alterations` - `tax_payments_government_agencies` - `tax_preparation_services` - `taxicabs_limousines` - `telecommunication_equipment_and_telephone_sales` - `telecommunication_services` - `telegraph_services` - `tent_and_awning_shops` - `testing_laboratories` - `theatrical_ticket_agencies` - `timeshares` - `tire_retreading_and_repair` - `tolls_bridge_fees` - `tourist_attractions_and_exhibits` - `towing_services` - `trailer_parks_campgrounds` - `transportation_services` - `travel_agencies_tour_operators` - `truck_stop_iteration` - `truck_utility_trailer_rentals` - `typesetting_plate_making_and_related_services` - `typewriter_stores` - `u_s_federal_government_agencies_or_departments` - `uniforms_commercial_clothing` - `used_merchandise_and_secondhand_stores` - `utilities` - `variety_stores` - `veterinary_services` - `video_amusement_game_supplies` - `video_game_arcades` - `video_tape_rental_stores` - `vocational_trade_schools` - `watch_jewelry_repair` - `welding_repair` - `wholesale_clubs` - `wig_and_toupee_stores` - `wires_money_orders` - `womens_accessory_and_specialty_shops` - `womens_ready_to_wear_stores` - `wrecking_and_salvage_yards` - `entries.data.flow_details.issuing_authorization.card.spending_controls.allowed_merchant_countries` (array of strings, nullable) Array of strings containing representing countries from which authorizations will be allowed. Authorizations from merchants in all other countries will be declined. Country codes should be ISO 3166 alpha-2 country codes (e.g. `US`). Cannot be set with `blocked_merchant_countries`. Provide an empty value to unset this control. - `entries.data.flow_details.issuing_authorization.card.spending_controls.blocked_categories` (array of enums, nullable) Array of strings containing [categories](https://docs.stripe.com/docs/api.md#issuing_authorization_object-merchant_data-category) of authorizations to decline. All other categories will be allowed. Cannot be set with `allowed_categories`. Possible enum values: - `ac_refrigeration_repair` - `accounting_bookkeeping_services` - `advertising_services` - `agricultural_cooperative` - `airlines_air_carriers` - `airports_flying_fields` - `ambulance_services` - `amusement_parks_carnivals` - `antique_reproductions` - `antique_shops` - `aquariums` - `architectural_surveying_services` - `art_dealers_and_galleries` - `artists_supply_and_craft_shops` - `auto_and_home_supply_stores` - `auto_body_repair_shops` - `auto_paint_shops` - `auto_service_shops` - `automated_cash_disburse` - `automated_fuel_dispensers` - `automobile_associations` - `automotive_parts_and_accessories_stores` - `automotive_tire_stores` - `bail_and_bond_payments` - `bakeries` - `bands_orchestras` - `barber_and_beauty_shops` - `betting_casino_gambling` - `bicycle_shops` - `billiard_pool_establishments` - `boat_dealers` - `boat_rentals_and_leases` - `book_stores` - `books_periodicals_and_newspapers` - `bowling_alleys` - `bus_lines` - `business_secretarial_schools` - `buying_shopping_services` - `cable_satellite_and_other_pay_television_and_radio` - `camera_and_photographic_supply_stores` - `candy_nut_and_confectionery_stores` - `car_and_truck_dealers_new_used` - `car_and_truck_dealers_used_only` - `car_rental_agencies` - `car_washes` - `carpentry_services` - `carpet_upholstery_cleaning` - `caterers` - `charitable_and_social_service_organizations_fundraising` - `chemicals_and_allied_products` - `child_care_services` - `childrens_and_infants_wear_stores` - `chiropodists_podiatrists` - `chiropractors` - `cigar_stores_and_stands` - `civic_social_fraternal_associations` - `cleaning_and_maintenance` - `clothing_rental` - `colleges_universities` - `commercial_equipment` - `commercial_footwear` - `commercial_photography_art_and_graphics` - `commuter_transport_and_ferries` - `computer_network_services` - `computer_programming` - `computer_repair` - `computer_software_stores` - `computers_peripherals_and_software` - `concrete_work_services` - `construction_materials` - `consulting_public_relations` - `correspondence_schools` - `cosmetic_stores` - `counseling_services` - `country_clubs` - `courier_services` - `court_costs` - `credit_reporting_agencies` - `cruise_lines` - `dairy_products_stores` - `dance_hall_studios_schools` - `dating_escort_services` - `dentists_orthodontists` - `department_stores` - `detective_agencies` - `digital_goods_applications` - `digital_goods_games` - `digital_goods_large_volume` - `digital_goods_media` - `direct_marketing_catalog_merchant` - `direct_marketing_combination_catalog_and_retail_merchant` - `direct_marketing_inbound_telemarketing` - `direct_marketing_insurance_services` - `direct_marketing_other` - `direct_marketing_outbound_telemarketing` - `direct_marketing_subscription` - `direct_marketing_travel` - `discount_stores` - `doctors` - `door_to_door_sales` - `drapery_window_covering_and_upholstery_stores` - `drinking_places` - `drug_stores_and_pharmacies` - `drugs_drug_proprietaries_and_druggist_sundries` - `dry_cleaners` - `durable_goods` - `duty_free_stores` - `eating_places_restaurants` - `educational_services` - `electric_razor_stores` - `electric_vehicle_charging` - `electrical_parts_and_equipment` - `electrical_services` - `electronics_repair_shops` - `electronics_stores` - `elementary_secondary_schools` - `emergency_services_gcas_visa_use_only` - `employment_temp_agencies` - `equipment_rental` - `exterminating_services` - `family_clothing_stores` - `fast_food_restaurants` - `financial_institutions` - `fines_government_administrative_entities` - `fireplace_fireplace_screens_and_accessories_stores` - `floor_covering_stores` - `florists` - `florists_supplies_nursery_stock_and_flowers` - `freezer_and_locker_meat_provisioners` - `fuel_dealers_non_automotive` - `funeral_services_crematories` - `furniture_home_furnishings_and_equipment_stores_except_appliances` - `furniture_repair_refinishing` - `furriers_and_fur_shops` - `general_services` - `gift_card_novelty_and_souvenir_shops` - `glass_paint_and_wallpaper_stores` - `glassware_crystal_stores` - `golf_courses_public` - `government_licensed_horse_dog_racing_us_region_only` - `government_licensed_online_casions_online_gambling_us_region_only` - `government_owned_lotteries_non_us_region` - `government_owned_lotteries_us_region_only` - `government_services` - `grocery_stores_supermarkets` - `hardware_equipment_and_supplies` - `hardware_stores` - `health_and_beauty_spas` - `hearing_aids_sales_and_supplies` - `heating_plumbing_a_c` - `hobby_toy_and_game_shops` - `home_supply_warehouse_stores` - `hospitals` - `hotels_motels_and_resorts` - `household_appliance_stores` - `industrial_supplies` - `information_retrieval_services` - `insurance_default` - `insurance_underwriting_premiums` - `intra_company_purchases` - `jewelry_stores_watches_clocks_and_silverware_stores` - `landscaping_services` - `laundries` - `laundry_cleaning_services` - `legal_services_attorneys` - `luggage_and_leather_goods_stores` - `lumber_building_materials_stores` - `manual_cash_disburse` - `marinas_service_and_supplies` - `marketplaces` - `masonry_stonework_and_plaster` - `massage_parlors` - `medical_and_dental_labs` - `medical_dental_ophthalmic_and_hospital_equipment_and_supplies` - `medical_services` - `membership_organizations` - `mens_and_boys_clothing_and_accessories_stores` - `mens_womens_clothing_stores` - `metal_service_centers` - `miscellaneous` - `miscellaneous_apparel_and_accessory_shops` - `miscellaneous_auto_dealers` - `miscellaneous_business_services` - `miscellaneous_food_stores` - `miscellaneous_general_merchandise` - `miscellaneous_general_services` - `miscellaneous_home_furnishing_specialty_stores` - `miscellaneous_publishing_and_printing` - `miscellaneous_recreation_services` - `miscellaneous_repair_shops` - `miscellaneous_specialty_retail` - `mobile_home_dealers` - `motion_picture_theaters` - `motor_freight_carriers_and_trucking` - `motor_homes_dealers` - `motor_vehicle_supplies_and_new_parts` - `motorcycle_shops_and_dealers` - `motorcycle_shops_dealers` - `music_stores_musical_instruments_pianos_and_sheet_music` - `news_dealers_and_newsstands` - `non_fi_money_orders` - `non_fi_stored_value_card_purchase_load` - `nondurable_goods` - `nurseries_lawn_and_garden_supply_stores` - `nursing_personal_care` - `office_and_commercial_furniture` - `opticians_eyeglasses` - `optometrists_ophthalmologist` - `orthopedic_goods_prosthetic_devices` - `osteopaths` - `package_stores_beer_wine_and_liquor` - `paints_varnishes_and_supplies` - `parking_lots_garages` - `passenger_railways` - `pawn_shops` - `pet_shops_pet_food_and_supplies` - `petroleum_and_petroleum_products` - `photo_developing` - `photographic_photocopy_microfilm_equipment_and_supplies` - `photographic_studios` - `picture_video_production` - `piece_goods_notions_and_other_dry_goods` - `plumbing_heating_equipment_and_supplies` - `political_o
[...]
